| Home · All Classes · All Namespaces · Modules · Functions · Files

Classes | Public Member Functions | List of all members
Tp::RefCounted Class Reference
Utililty classes

The RefCounted class is a base class for shared objects used by SharedPtr. More...

`#include <TelepathyQt/RefCounted>`

Inheritance diagram for Tp::RefCounted:
[legend]

## Public Member Functions

| RefCounted ()
virtual | ~RefCounted ()

## Detailed Description

The RefCounted class is a base class for shared objects used by SharedPtr.

See Shared Pointer Usage

## Constructor & Destructor Documentation

## § RefCounted()

Tp::RefCounted::RefCounted | ( |  | ) |

inline

## § ~RefCounted()

virtual Tp::RefCounted::~RefCounted | ( |  | ) |

inline virtual